function angryAggro(enemy)
	if enemy:isNearPlayer() then
		enemy:getMovementManager():chase( enemy:getTargetPosition() )
	else
		enemy:brainPopState()
		enemy:brainPushState("angryWander")
		enemy:getMovementManager():onWanderEnter()
	end
end

function angryWander(enemy)
	if enemy:isNearPlayer() then
		enemy:brainPopState()
		enemy:brainPushState("angryAggro")
	else
		enemy:getMovementManager():wander()
	end
end

function cowardlyWander(enemy)
	if enemy:isNearPlayer() then
		enemy:brainPopState()
		enemy:brainPushState("cowardlyFlee")
	else
		enemy:getMovementManager():wander()
	end
end

function cowardlyFlee(enemy)
	if enemy:isNearPlayer() then
		enemy:getMovementManager():flee( enemy:getTargetPosition() )
	else
		enemy:brainPopState()
		enemy:brainPushState("cowardlyWander")
		enemy:getMovementManager():onWanderEnter()
	end
end

function reluctantChase(enemy)
	enemy:getMovementManager():chase( enemy:getTargetPosition() )
	
	if enemy:isNearPlayer() then
		enemy:brainPushState("reluctantFlee")
		enemy:getMovementManager():flee( enemy:getTargetPosition() )
	end
end

function reluctantFlee(enemy)
	enemy:getMovementManager():flee( enemy:getTargetPosition() )
	
	if not enemy:isNearPlayer() then
		enemy:brainPopState()
	end
end

function charge(enemy)
	enemy:getMovementManager():charge( enemy:getTarget() )
end

function lazyChase(enemy)
	enemy:getMovementManager():lazyChase( enemy:getTarget() )
end

function chase(enemy)
	--enemy:chaseTarget()
	enemy:getMovementManager():chase( enemy:getTargetPosition() )
end

function wander(enemy)
	--enemy:wander()
	enemy:getMovementManager():wander()
end

function flee(enemy)
	--enemy:fleeTarget()
	enemy:getMovementManager():flee( enemy:getTargetPosition() )
end